import { Component, OnInit, Input, Output, EventEmitter, HostListener } from '@angular/core';
import { PgUserInfoDtlsList } from 'app/models/employee.model';



interface Skill {
  text: string;
  selected: boolean;
  id: number;
}


@Component({
  selector: 'app-employee-profile-information',
  templateUrl: './employee-profile-information.component.html',
  styleUrls: ['./employee-profile-information.component.scss']
})
export class EmployeeProfileInformationComponent implements OnInit {
  public showViewPage: { page: string, data?: any };
  @Output() pageCurrently = new EventEmitter<{ showApplyForCoach: boolean }>();
  @Input() hovered: boolean;

  private _data: { pictureImage: string, UserInfoDtls: PgUserInfoDtlsList, listSkills: Skill[], showApplyForCoach: boolean };
  @Input()
  set data(data: { pictureImage: string, UserInfoDtls: PgUserInfoDtlsList, listSkills: Skill[], showApplyForCoach: boolean }) {
    this._data = data;
  }
  get data() { return this._data; }




  constructor() { }



  ngOnInit() {

  }

  public gotoNavigation(e: { page: string, data?: any }) {
    this.showViewPage = e;
    if (e.data && e.data.showApplyForCoach) {
      this.pageCurrently.emit({ showApplyForCoach: true });

    }
  }
}
